// LCD Ansteuerung fr T6963 Chip
// von Maximilian Laiacker und Philipp Helle
// <mlaiacker@gmx.de>
// die 'extern' knnen weg!

#define LCD_ADDR	(0) // Adresse der LCD Paltine

#define LCD_CD		(5) // Bit in Adresse mit Command/Data


#define LCD_CHAR_WIDTH		(6)
#define LCD_CHAR_HEIGHT		(8)
#define LCD_MAX_X		(240)
#define LCD_MAX_Y		(64)
#define LCD_MAX_SPALTEN		(40)
#define LCD_MAX_ZEILEN		(8)

#define LCD_RAM_SIZE		(8191)
#define LCD_GRAPHIC_HOME	(5440)
#define LCD_TEXT_HOME		(0)
#define LCD_TEXT_ZEILEN		(LCD_GRAPHIC_HOME/LCD_MAX_SPALTEN)
#define LCD_MAX_TEXT_SCREENS	(LCD_TEXT_ZEILEN/LCD_MAX_ZEILEN)

#define LCD_PRINT(string)	(LCD_PrintProgString(PSTR(string)))

extern u08 LCD_mem[LCD_MAX_SPALTEN*LCD_MAX_Y];

extern void LCD_Init(void);
//extern void LCD_BusyCheck(void);
extern void LCD_GotoXY(u08 x,u08 y);
//extern void LCD_Clr(void);
extern void LCD_PrintChar(u08 c);
extern void LCD_PrintString(u08 *s);
extern void LCD_PrintProgString(u08 *s);
extern void LCD_Cmd0(u08 cmd);
extern void LCD_Cmd1(u08 cmd,u08 data1);
extern void LCD_Cmd2(u08 cmd,u08 data1,u08 data2);
extern void LCD_SetPixel(u08 x,u08 y);
extern void LCD_ClearPixel(u08 x,u08 y);
extern void LCD_GraphicClr(void);
extern void LCD_TextClr(void);
extern void LCD_AutoWriteOn(void);
extern void LCD_WriteInc(u08 data);
extern void LCD_WriteDec(u08 data);
extern void LCD_Write(u08 data);
extern void LCD_SetPtr(u16 address);
extern void LCD_SetGraphicHome(u16 graphic_home_addr);
extern void LCD_SetTextHome(u16 text_home_addr);
extern u08 LCD_ReadInc(void);
extern u08 LCD_ReadDec(void);
extern u08 LCD_Read(void);
//extern void LCD_SetGraphicPage(u08 page);
//extern void LCD_ShowGraphicPage(u08 page);
extern void LCD_TransferMemPage(void);
extern void LCD_ClrMemPage(void);
extern void LCD_SetMemPixel(u08 x,u08 y);
extern void LCD_ClearMemPixel(u08 x,u08 y);
extern void LCD_SetTextPtr(u16 text_home_addr);
extern void LCD_ShowTextScreen(u08 screen);
extern void LCD_SetTextScreen(u08 screen);
extern void LCD_SetCursorPos(u08 x,u08 y);
extern void clr_text(void);


